#ifndef USB_DRV_H
#define USB_DRV_H


#include <iostream>
#include <cstdio>
#include <usb.h>
#include <QDataStream>
using namespace std;



#define MyUSB_VendorID 0x03eb // Atmel code
#define MyUSB_ProductID 0x0001 // arbitrary value

#define EP1_FIFO_Size 64
#define EP2_FIFO_Size 64


void send_to_EP1(quint8 *buff1, quint8 samples);
void get_from_EP2(quint8 *buff1, quint8 samples);
quint16 get_once_from_adc();


#endif // USB_DRV_H
